#
# spec file for package rubygem-msgpack
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-msgpack
Version:        1.7.3
Release:        1.1
%define mod_name msgpack
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubydevel >= 2.5}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            http://msgpack.org/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Source2:        rubygem-msgpack-rpmlintrc
Source3:        gem2rpm.yml
Summary:        MessagePack, a binary-based efficient data interchange format
License:        Apache-2.0

%description
MessagePack is a binary-based efficient object serialization library. It
enables to exchange structured objects between many languages like JSON. But
unlike JSON, it is very fast and small.

%prep

%build

%install
%gem_install \
  --doc-files="ChangeLog LICENSE README.md" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- 2024-10-03 1.7.3
  * Limit initial containers pre-allocation to `SHRT_MAX` (32k) entries.
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- 2023-07-18 1.7.2:
  * Fix a potential GC bug when packing data using recursive extensions and buffers containing over 512KkiB of data (See #341).
  * Fix a regression where feeding an empty string to an Unpacker would be considered like the end of the buffer.
  2023-05-19 1.7.1:
  * Fix JRuby 9.4 compatibility.
  * Fix compilation on older compilers (gcc 4.x).
  * Fix an infinite recursion issue when registering a Symbol type with a `nil` packer.
  2023-03-29 1.7.0:
  * Fix a possible double-free issue when GC triggers inside `_msgpack_rmem_alloc2`.
  * `Unpacker#feed` now always directly read in provided strings instead of copying content in its buffer.
  * `Unpacker#feed` is now an alias of `Unpacker#feed_reference`.
  * Implement `Factory::Pool#unpacker` and `Factory::Pool#packer` to allow for more precise serialization.
  * Require Ruby 2.5+.
  2023-03-03 1.6.1:
  * Undefine `#clone` and `#dup` on `MessagePack::Buffer`, `MessagePack::Packer` and `MessagePack::Unpacker`.
  These methods were never intended, and using them could cause leaks or crashes or worse.
  * Fix a possible GC crash when GC trigger inside `MessagePack::Buffer.new` (#314).
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.6.0
  see installed ChangeLog
  2022-09-30 1.6.0:
  * Fix a potential use-after-free bug in Buffer_free when accessing a packer or unpacker buffer.
  * `old-style-definition` compilation warnings.
  * Restore zero-copy buffer feed when provided a Ruby string. This was accidentally broken in 1.5.4.
  * Provide implementations for `ObjectSpace.memsize`. Message pack objects now properly report their size to Ruby.
  * Fix an endianess bug on Windows platform.
* Fri Aug 26 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.5.6
  * No actual code change, just re-release the `java` version properly.
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.5.4
  see installed ChangeLog
  2022-07-25
  * Fix a segfault when deserializing empty symbol (`:""`).
  * Improve compilation flags to not strip debug symbols.
* Fri Jul  8 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.5.3
  * Fix deduplication of empty strings when using the `freeze: true` option.
  * Use `rb_hash_new_capa` when available (Ruby 3.2) for improved performance when parsing large hashes.
* Mon Jun 13 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.5.2
  * Fix bug about unpacking ext type objects with the recursive option
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.5.1
  see installed ChangeLog
  2022-04-07 version 1.5.1:
  * Fix bug about packing/unpacking ext type objects with the recursive option
  2022-04-06 version 1.5.0:
  * Add recursive option on Factory#register_type to operate Packer/Unpacker manually
  * Add oversized_integer_extension option on Factory#register_type to pack/unpack bigint using ext types
  * Add Factory#pool method and Factory::Pool class to provide pooled Packer and Unpacker instances
* Mon Feb 21 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.5
  see installed ChangeLog
  2022-02-15 version 1.4.5:
  * Fix to create UTF-8 Symbol keys when symbolize_keys: true
  * Fix to assume Symbols as US-ASCII or UTF-8
  * Optimize Packer/Unpacker initialization
  * Optimize extension class lookup
  * Rename Packer#clear as Packer#reset (#clear is still available as an alias)
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.4.4
  see installed ChangeLog
  2022-01-22 version 1.4.4:
  * Specify the build option --platform=8 for older Java platforms
  2022-01-20 version 1.4.3:
  * Optimize serialization/deserialization of Symbols
  * Support registering ext types for objects of subclasses of primitive types (like Hash)
  * Add optimized_symbols_parsing option to Factory#register_type on MRI implementation
  * Optimize to deduplicate Hash keys on JRuby
  * Support JRuby 9.3 (and drop 9.1)
* Sat Feb  6 2021 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.4.2
  * Add the required Ruby version (>= 2.4) to avoid compilation errors on older Ruby runtimes
  * Drop the support of old Ruby versions explicitly (1.8, 1.9, 2.0, 2.1, 2.2, 2.3)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.3.3
  see installed ChangeLog
  2020-02-05 version 1.3.3:
  * Hotfix release for Windows environments: 1.3.2 missed including binaries
  2020-02-04 version 1.3.2:
  * Add Ruby 2.7.0 binary in gem releases for Windows
* Thu Aug 15 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.3.1
  * Fix timestamp ext type bug about timestamps with seconds larger than 32bit int (after 2106-02-07 06:28:16 UTC)
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.3.0
  * Add timestamp ext type (id:-1) support
* Sun May  5 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.10
  see installed ChangeLog
  2019-04-19 version 1.2.10:
  * Optimze MessagePack.unpack not to copy source string
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.9
  see installed ChangeLog
  2019-03-13 version 1.2.9:
  * Hotfix release only for JRuby: 1.2.8-java was built incorrectly
  2019-03-11 version 1.2.8:
  * Fix a regression that MessagePack#unpack raises error if IO is assigned as the (only) argument
  * Improve compatibility that MessagePack#pack returns nil if IO is assigned as 2nd argument
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.7
  see installed ChangeLog
  2019-03-01 version 1.2.7:
  * Add Packer#write_bin and Packer#write_bin_header methods
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.6
  see installed ChangeLog
  2019-01-08 verison 1.2.6:
  * Update Ruby version 2.6 dependency (especially for Windows environment)
  * (version 1.2.4 and 1.2.5 were also releases for updated Ruby versions)
* Mon Jan 14 2019 mschnitzer@suse.com
- updated to version 1.2.6
  * Update Ruby version 2.6 dependency (especially for Windows environment)
  * (version 1.2.4 and 1.2.5 were also releases for updated Ruby versions)
* Sat Mar  3 2018 factory-auto@kulow.org
- updated to version 1.2.4
  see installed ChangeLog
* Fri Mar  2 2018 factory-auto@kulow.org
- updated to version 1.2.3
  see installed ChangeLog
  2018-03-02 version 1.2.3:
  * Add Ruby 2.5.0 binary in gem releases for Windows
* Thu Feb  8 2018 coolo@suse.com
- updated to version 1.2.2
  see installed ChangeLog
  2018-01-11 version 1.2.2:
  * Fix bug to occur SEGV occasionally (depends on GC timing) when exttype is used
  * Fix bug to encode an ext type with wrong type id if superclass is also registered as ext type
  2017-12-08 version 1.2.1:
  * Hotfix release only for JRuby: 1.2.0-java was built in incorrect way
* Thu Dec 14 2017 coolo@suse.com
- updated to version 1.2.0
  see installed ChangeLog
  2017-12-07 version 1.2.0:
  * Add MessagePack::Factory#dump and MessagePack::Factory#load as convenient methods
    like MessagePack.dump and MessagePack.load
  * Fix bug to accept MessagePack::Factory#register_type after #freeze
* Tue Feb 28 2017 coolo@suse.com
- updated to version 1.1.0
  see installed ChangeLog
  2017-02-28 version 1.1.0:
  * Fix the extention type handling to accept modules in addition to classes
* Thu Jan 26 2017 coolo@suse.com
- updated to version 1.0.3
  see installed ChangeLog
  2017-01-24 version 1.0.3:
  * Support Ruby 2.4
* Thu Nov 24 2016 wolfgang.engel@suse.com
- Adding rpmlintrc filter
* Wed Oct 19 2016 coolo@suse.com
- updated to version 1.0.2
  see installed ChangeLog
  2016-10-17 version 1.0.2:
  * Bump version up to release newer version to fix broken gem release for JRuby
* Mon Oct 17 2016 coolo@suse.com
- updated to version 1.0.1
  see installed ChangeLog
  2016-10-17 version 1.0.1:
  * Fix a bug to crash at packer when ext type is registered for superclass of packed object
  * Fix JRuby implementation about inconsistent API of Unpacker constructor
* Wed Sep 21 2016 wolfgang.engel@suse.com
- Initial package
